<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="https://cdn.bootcss.com/iview/3.5.1/styles/iview.css" rel="stylesheet">
    <style>
        #main {
            width: 80%;
            margin: 0 auto;
        }
    </style>
</head>
<body>
<div id="main">
    <h1>员工信息</h1>
    <i-table :columns="employColumns" :data="employee">

    </i-table>

</div>
</body>
<script src="https://cdn.bootcss.com/vue/2.6.10/vue.min.js"></script>
<script src="https://cdn.bootcss.com/iview/3.5.1/iview.js"></script>
<script>
    new Vue({
        el: '#main',
        data() {
            return {
                employColumns: [
                    {
                        title: '员工名',
                        key: 'name'
                    },
                    {
                        title: '性别',
                        key: 'sex'
                    },
                    {
                        title: '部门',
                        key: 'deptName'
                    },
                    {
                        title: '创建时间',
                        key: 'ct'
                    },
                ],
                employee: [],
            }
        },
        methods: {
            getEmploy() {

            }
        },
        mounted() {
            this.getEmploy()
        }
    })
</script>
</html>